#ifndef PARTICLE_H
#define PARTICLE_H

#include "ofMain.h"
#define OF_ADDON_USING_OFXVECTORMATH
#include "ofAddons.h"

class particle
{
    public:
        particle();
        virtual ~particle();

        void setup( ofxVec3f pos_, ofxVec3f vel_, float damp );
        void update( float timeStep = 1 );
        void draw();

        ofxVec3f pos, vel;
        float damping;

    protected:
    private:
};



#endif // PARTICLE_H
